.TH WIKITRANS 1 "Aug 24, 2018"
.SH NAME
wikitrans \- MediaWiki markup translator
.SH SYNOPSIS
.B wikitrans [OPTIONS] ARG
.SH DESCRIPTION
.PP
\fBwikitrans\fP translates MediaWiki documents markup to various other formats.
If ARG looks like a URL, the wiki text to be converted will be downloaded
from that URL.
.sp
Otherwise, if \-\-base\-url is given, ARG is treated as the name of the page to
get from the WikiMedia istallation at that URL.
.sp
Otherwise, ARG is name of the file to read wiki material from.    
.IP
.SH OPTIONS
.TP
\fB\-\-version\fR
Show program version number and exit.
.TP
\fB\-h\fR, \fB\-\-help\fR
Show a short usage summary and exit.
.TP
\fB\-v\fR, \fB\-\-verbose\fR
verbose operation
.TP
\fB\-I \fIITYPE\fR, \fB\-\-input\-type=\fIITYPE\fR
set input document type ("default" or "wiktionary")
.TP
\fB\-t \fIOTYPE\fR, \fB\-\-to=\fIOTYPE\fR, \fB\-\-type=\fIOTYPE\fR
set output document type ("html" (default), "texi", "text", or "dump")
.TP
\fB\-l \fILANG\fR, \fB\-\-lang=\fILANG\fR
set input document language
.TP
\fB\-o \fIKW=VAL\fR, \fB\-\-option=\fIKW=VAL\fR
set keyword option for the parser class constructor
.TP
\fB\-d \fIDEBUG\fR, \fB\-\-debug=\fIDEBUG\fR
set debug level (0..100)
.TP
\fB\-D\fR, \fB\-\-dump\fR
dump parse tree and exit; similar to \fB\-\-type=dump\fR
.TP
\fB\-b \fIURL\fR, \fB\-\-base\-url=\fIURL\fR
set base url

.RS 0
Note: when using \fB\-\-base\-url\fP or passing URL as an argument (2nd and 3rd
use cases above), if the URL is in \(aqwikipedia.org\(aq or \(aqwiktionary.org\(aq
domain, the options \fB\-\-input\-type\fP, and \fB\-\-lang\fP are set automatically.

.SH EXAMPLES
wikitrans text.wiki

wikitrans \-\-base\-url http://en.wiktionary.org door

wikitrans https://en.wiktionary.org/wiki/Special:Export/door

.SH AUTHOR
wikitrans was written by Sergey Poznyakoff <gray@gnu.org>
.PP
This manual page was written by Ahmed El-Mahmoudy <aelmahmoudy@users.sourceforge.net>, for 
the Debian project (but may be used by others).
